petsc-3.4.2 2013-07-02

# SNESLineSearchGetOptionsPrefix

Sets the prefix used for searching for all SNESLineSearch options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetOptionsPrefix(SNESLineSearch linesearch,const char *prefix[])

Not Collective

### Input Parameter

linesearch -the SNESLineSearch context

### Output Parameter

prefix -pointer to the prefix string used

### Notes

On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### Keywords

SNESLineSearch, get, options, prefix, database

### See Also

SNESAppendOptionsPrefix()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages